/*
 *         bpack - A Burrows-Wheeler Transform and Huffman Encoding
 *                            Implementation
 *
 *  Copyright (C) 2006      Angelo Arrifano <miknix@gmail.com>
 *  Copyright (C) 2006      Vasco Costa <the_papon@hotmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/***********************************
 * Burrows-Wheeler Block Transform *
 * ------------------------------- *
 * (Looks very efficient to me)    *
 * Implementation:                 *
 *   ngelo Arrifano               *
 *   miknix@gmail.com              *
 *   http://miknix.homelinux.com   *
 ***********************************/

int bw_encode(unsigned char *block, unsigned char *bw_block, int size);
int bw_decode(unsigned char *bw_block, unsigned char *block, int size, int index);
